<?xml version="1.0"?>
<project default="create-doc" basedir="." xmlns:ivy="antlib:org.apache.ivy.ant">

	<property name="current-loc" location="." />
	<property name="workspace" location=".." />
	<property name="htmldir" value="${current-loc}/doc/html" />
	<property name="docbookdir" value="C:\JAVA-DEV\docbook-xsl-ns-1.76.1\html\" />
	<property name="docbooksource" value="${current-loc}/doc" />
	<property name="xalan" value="org.apache.xalan.processor.TransformerFactoryImpl" />


	<!-- XSLT Chunking Properties -->
	<property name="base.dir" value="${htmldir}" />

	<target name="merge">
		<!-- XInclude support comes with Eclipse XML Tools Project,
			the Ant target needs to be executed in the Eclispe Workspace JRE
			in order to get found. Any custom project specific runtime
			may not work.
		-->
		<xsl.xinclude in="${docbooksource}/BruteXServices_User_Guide.xml" out="${docbooksource}/BruteXServices_User_Guide.dbk" />
	</target>

	<target name="clean-doc">
		<delete dir="${htmldir}" />
		<mkdir dir="${htmldir}" />
	</target>

	<target name="create-doc" depends="clean-doc, merge">

		<xslt force="true" style="${docbookdir}/../toHTML.xsl" in="${docbooksource}/BruteXServices_User_Guide.dbk" out="${htmldir}/index.html">
			<factory name="${xalan}" />
			<param name="base.dir" expression="${htmldir}/" />
			<param name="use.id.as.filename" expression="1" />
			<param name="html.stylesheet" expression="style.css" />
		</xslt>
	<copy file="${docbooksource}/style.css" overwrite="true" tofile="${htmldir}/style.css" />
	</target>

	<target name="create-webdoc" depends="clean-doc, merge">

		<xslt force="true" style="${docbookdir}/../fo/docbook.xsl" in="${docbooksource}/BruteXServices_User_Guide.dbk" out="${htmldir}/xservices.fo">
			<factory name="${xalan}" />
			<param name="base.dir" expression="${htmldir}/" />
			<param name="use.id.as.filename" expression="1" />
			<param name="fop.extensions" expression="0" />
		</xslt>
	</target>

	<!-- ================================= 
	          target: resolve              
	         ================================= -->
	<target name="resolve" description="--> retrieve dependencies with ivy">
		<ivy:retrieve />
	</target>

</project>
